commit:     a91da9bca9b1b2e4ba81ca4d477e2648a81f6b6a
Author:     Jory A. Pratt <anarchy <AT> gentoo <DOT> org>
AuthorDate: Sun Oct  8 13:54:15 2017 +0000
Commit:     Jory Pratt <anarchy <AT> gentoo <DOT> org>
CommitDate: Sun Oct  8 13:54:15 2017 +0000
URL:        https://gitweb.gentoo.org/proj/mozilla.git/commit/?id=a91da9bc

dev-libs/jemalloc - 5.0.1 version bump

 dev-libs/jemalloc/Manifest                         |  1 +
 .../files/jemalloc-5.0.1-fix_html_install.patch    | 26 ++++++++++
 .../files/jemalloc-5.0.1-strip-optimization.patch  | 39 ++++++++++++++
 dev-libs/jemalloc/jemalloc-5.0.1.ebuild            | 59 ++++++++++++++++++++++
 4 files changed, 125 insertions(+)

diff --git a/dev-libs/jemalloc/Manifest b/dev-libs/jemalloc/Manifest
index 3e9ded5..90014ea 100644
--- a/dev-libs/jemalloc/Manifest
+++ b/dev-libs/jemalloc/Manifest
@@ -1 +1,2 @@
 DIST jemalloc-4.5.0.tar.bz2 449992 SHA256 
9409d85664b4f135b77518b0b118c549009dc10f6cba14557d170476611f6780 SHA512 
76953363fe1007952232220afa1a91da4c1c33c02369b5ad239d8dd1d0792141197c15e8489a8f4cd301b08494e65cadd8ecd34d025cb0285700dd78d7248821
 WHIRLPOOL 
33dc51258d6d27942b656fc355cdde24becf0cd50a507375dd51b2fa6c55a6444ff21bcdae0ebe4fae8d2e95fa31989f5cf8bd435a7a59385ebb225a0a4441fe
+DIST jemalloc-5.0.1.tar.bz2 499300 SHA256 
4814781d395b0ef093b21a08e8e6e0bd3dab8762f9935bbfb71679b0dea7c3e9 SHA512 
8cb5957a5724eb2bbad120cf0028ea8b2b14b4a416c1751b7c967351a7fd51135058ea0d3c4dc1d127c86f3aa7e9fd5ef101857110aabfdb7789427791c432c3
 WHIRLPOOL 
7bbaa407b1e403ef3bb5ecf6289dcf7f3cc9e31d8077d6e9b10e434e8f02e8e8c45ec890b67bcf39f8b7419ffcae893b4aa256f1a05750b196fcfbfadbd8696a

diff --git a/dev-libs/jemalloc/files/jemalloc-5.0.1-fix_html_install.patch 
b/dev-libs/jemalloc/files/jemalloc-5.0.1-fix_html_install.patch
new file mode 100644
index 0000000..e64c5f8
--- /dev/null
+++ b/dev-libs/jemalloc/files/jemalloc-5.0.1-fix_html_install.patch
@@ -0,0 +1,26 @@
+From d6518615c0891a1115bf6436f6e6bf28797a32ea Mon Sep 17 00:00:00 2001
+From: "Jory A. Pratt" <[email protected]>
+Date: Sun, 8 Oct 2017 08:49:21 -0500
+Subject: [PATCH 2/2] Do not install html docs
+
+Signed-off-by: Jory A. Pratt <[email protected]>
+---
+ Makefile.in | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/Makefile.in b/Makefile.in
+index fec1397..97bad40 100644
+--- a/Makefile.in
++++ b/Makefile.in
+@@ -459,7 +459,7 @@ install_doc_man:
+       $(INSTALL) -m 644 $$d $(MANDIR)/man3; \
+ done
+ 
+-install_doc: install_doc_html install_doc_man
++install_doc: install_doc_man
+ 
+ install: install_bin install_include install_lib install_doc
+ 
+-- 
+2.14.2
+

diff --git a/dev-libs/jemalloc/files/jemalloc-5.0.1-strip-optimization.patch 
b/dev-libs/jemalloc/files/jemalloc-5.0.1-strip-optimization.patch
new file mode 100644
index 0000000..bdef8a6
--- /dev/null
+++ b/dev-libs/jemalloc/files/jemalloc-5.0.1-strip-optimization.patch
@@ -0,0 +1,39 @@
+From bbae65cff977568549efe03f05b2ef16cd283550 Mon Sep 17 00:00:00 2001
+From: "Jory A. Pratt" <[email protected]>
+Date: Sun, 8 Oct 2017 08:47:25 -0500
+Subject: [PATCH 1/2] Strip all optimization, let portage handle.
+
+Signed-off-by: Jory A. Pratt <[email protected]>
+---
+ configure.ac | 15 ---------------
+ 1 file changed, 15 deletions(-)
+
+diff --git a/configure.ac b/configure.ac
+index 1551ded..2f47067 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -976,21 +976,6 @@ if test "x$enable_debug" = "x1" ; then
+ fi
+ AC_SUBST([enable_debug])
+ 
+-dnl Only optimize if not debugging.
+-if test "x$enable_debug" = "x0" ; then
+-  if test "x$GCC" = "xyes" ; then
+-    JE_CFLAGS_ADD([-O3])
+-    JE_CXXFLAGS_ADD([-O3])
+-    JE_CFLAGS_ADD([-funroll-loops])
+-  elif test "x$je_cv_msvc" = "xyes" ; then
+-    JE_CFLAGS_ADD([-O2])
+-    JE_CXXFLAGS_ADD([-O2])
+-  else
+-    JE_CFLAGS_ADD([-O])
+-    JE_CXXFLAGS_ADD([-O])
+-  fi
+-fi
+-
+ dnl Enable statistics calculation by default.
+ AC_ARG_ENABLE([stats],
+   [AS_HELP_STRING([--disable-stats],
+-- 
+2.14.2
+

diff --git a/dev-libs/jemalloc/jemalloc-5.0.1.ebuild 
b/dev-libs/jemalloc/jemalloc-5.0.1.ebuild
new file mode 100644
index 0000000..a2253d7
--- /dev/null
+++ b/dev-libs/jemalloc/jemalloc-5.0.1.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools toolchain-funcs multilib-minimal
+
+DESCRIPTION="Jemalloc is a general-purpose scalable concurrent allocator"
+HOMEPAGE="http://www.canonware.com/jemalloc/";
+SRC_URI="https://github.com/jemalloc/jemalloc/releases/download/${PV}/${P}.tar.bz2";
+
+LICENSE="BSD"
+SLOT="0/2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~x86 
~amd64-linux ~x86-linux ~x64-macos"
+IUSE="debug hardened static-libs stats"
+HTML_DOCS=( doc/jemalloc.html )
+PATCHES=( "${FILESDIR}/${PN}-5.0.1-strip-optimization.patch"
+       "${FILESDIR}/${PN}-5.0.1-fix_html_install.patch"
+)
+MULTILIB_WRAPPED_HEADERS=( /usr/include/jemalloc/jemalloc.h )
+# autotools-utils.eclass auto-adds configure options when static-libs is in 
IUSE
+# but jemalloc doesn't implement them in its configure; need this here to
+# supress the warnings until automagic is removed from the eclass
+QA_CONFIGURE_OPTIONS="--enable-static --disable-static --enable-shared 
--disable-shared"
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+multilib_src_configure() {
+       local myconf=()
+
+       if use hardened ; then
+               myconf+=( --disable-syscall )
+       fi
+
+       ECONF_SOURCE="${S}" \
+       econf  \
+               $(use_enable debug) \
+               $(use_enable stats) \
+               "${myconf[@]}"
+}
+
+multilib_src_install() {
+       # Copy man file which the Makefile looks for
+       cp "${S}/doc/jemalloc.3" "${BUILD_DIR}/doc" || die
+       emake DESTDIR="${D}" install
+}
+
+multilib_src_install_all() {
+       if [[ ${CHOST} == *-darwin* ]] ; then
+               # fixup install_name, #437362
+               install_name_tool \
+                       -id "${EPREFIX}"/usr/$(get_libdir)/libjemalloc.1.dylib \
+                       "${ED}"/usr/$(get_libdir)/libjemalloc.1.dylib || die
+       fi
+       use static-libs || find "${ED}" -name '*.a' -delete
+}

Reply via email to